function [beta] = TVCAPM(dp,sdf, Ret )

% TVCAPM: calculate conditional beta using aggregate DP 
% 
% INPUT:
%   dp:  T periods of D/P ratio
%   sdf: T periods of SDF
%   Ret: N by T firm returns

% OUTPUT:
%   bv: coefficents 

%  Xiaoji lin and Lu Zhang 2012

warning off all


[N T] = size(Ret);
X = ones(T,1);

RRet = Ret';
lhv = RRet; 
rhv = [X  sdf dp.*sdf];
bv = rhv\lhv;
bv = bv';

beta = bv(:,2) + bv(:,3).*dp(end);
