function [I_A IK_A] = monthlyToAnnualIK(I_m, K_m)

% monthlyToAnnualIK: convert monthly flows to annual flows
% I_m: Monthly N by T Flow;
% K_m: Monthly N by T Stock;

% Output: 
% I_A: Annual
% IK_A: annual rate of investment

%  Xiaoji lin and Lu Zhang 2012

[N T] = size(I_m);
F   = 12;                %conversion frequency
TT = floor(T/F);
I_A = zeros(N,TT);
IK_A = zeros(N,TT);

for k = 1 : T/F
        I_A(:,k)  = sum(I_m(:,(F*(k-1)+1):F*k),2);          % annual flow is sum of monthly flows of the year 
        K_A = K_m(:,F*(k-1)+1);
        IK_A(:,k) = I_A(:,k)./K_A;

end

